include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LAME_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}/kaffeine/src
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/disc/plugins
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libkaffeinemp3lame (kpart)

tde_add_kpart( libkaffeinemp3lame AUTOMOC

  SOURCES
        lameconfig.ui
        klameenc.cpp
  LINK
     kaffeineaudioencoder-shared
     tdecore-shared
     ${LAME_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kaffeinemp3lame.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kaffeine-desktops
)
